[jboss-cvs] JBoss Messaging SVN: r1724 - branches/Branch_Client_Failover_Experiment/tests/bin

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Thu Dec 7 21:12:14 EST 2006


Author: ovidiu.feodorov at jboss.com
Date: 2006-12-07 21:12:13 -0500 (Thu, 07 Dec 2006)
New Revision: 1724

Modified:
   branches/Branch_Client_Failover_Experiment/tests/bin/runtest
Log:
enabling debugging for clustered tests

Modified: branches/Branch_Client_Failover_Experiment/tests/bin/runtest
===================================================================
--- branches/Branch_Client_Failover_Experiment/tests/bin/runtest	2006-12-08 01:08:12 UTC (rev 1723)
+++ branches/Branch_Client_Failover_Experiment/tests/bin/runtest	2006-12-08 02:12:13 UTC (rev 1724)
@@ -95,8 +95,11 @@
         REMOTE_TEST="-Dremote=true"
     fi
     if [ "$1" = "-remotedebug" ]; then
-        REMOTE_DEBUG_FLAG="-debug"
+        remote_debug=true
     fi
+    if [ "$1" = "0" -o "$1" = "1" -o "$1" = "2" ]; then
+        remote_debug_index=$1
+    fi
     if [ "$1" = "-clustered" ]; then
         TEST_CLUSTERED=true
     fi
@@ -109,20 +112,32 @@
    TARGET_TEST="-t $TARGET_TEST"
 fi
 
+if [ "$remote_debug" = "true" ]; then
+   if [ "$remote_debug_index" = "" ]; then
+      REMOTE_DEBUG_FLAG_0="-debug"
+   elif [ "$remote_debug_index" = "1" ]; then
+      REMOTE_DEBUG_FLAG_1="-debug"
+   elif [ "$remote_debug_index" = "2" ]; then
+      REMOTE_DEBUG_FLAG_2="-debug"
+   else
+      echo "Invalid argument: $remote_debug_index"
+      exit 1
+   fi
+fi
+
 if [ "$isRemote" = "true" ]; then
 
   export TEST_DATABASE TEST_SERIALIZATION TEST_CLUSTERED
 
-  #$reldir/start-rmi-server $REMOTE_DEBUG_FLAG -use-existent-test-classpath-file
-  $reldir/start-rmi-server -use-existent-test-classpath-file -index 0
+  $reldir/start-rmi-server $REMOTE_DEBUG_FLAG_0 -use-existent-test-classpath-file -index 0
 
   if [ "$TEST_CLUSTERED" = "true" ]; then
 
      # start the second remote server
-     $reldir/start-rmi-server $REMOTE_DEBUG_FLAG -use-existent-test-classpath-file -index 1
+     $reldir/start-rmi-server $REMOTE_DEBUG_FLAG_1 -use-existent-test-classpath-file -index 1
 
      # start the third remote server
-     $reldir/start-rmi-server $REMOTE_DEBUG_FLAG -use-existent-test-classpath-file -index 2
+     $reldir/start-rmi-server $REMOTE_DEBUG_FLAG_2 -use-existent-test-classpath-file -index 2
   fi
 
 fi




More information about the jboss-cvs-commits mailing list